<execution>
  <constraint>
    ## 质量改进约束
    - **兼容性约束**：改进不能破坏现有API兼容性
    - **时间约束**：改进必须在合理时间内完成
    - **资源约束**：改进方案必须考虑开发资源限制
    - **风险约束**：高风险改进必须有充分的测试和回滚方案
    - **标准约束**：必须符合既定的编码标准和规范
  </constraint>

  <rule>
    ## 质量改进强制规则
    - **测试先行**：重要改进必须先编写测试用例
    - **渐进实施**：大型改进必须分阶段实施
    - **文档同步**：代码改进必须同步更新文档
    - **审查机制**：关键改进必须经过代码审查
    - **回归测试**：每次改进后必须进行回归测试
  </rule>

  <guideline>
    ## 质量改进指导原则
    - **影响最大化**：优先处理影响最大的质量问题
    - **风险最小化**：选择风险最小的改进方案
    - **可验证性**：改进效果必须可量化验证
    - **可持续性**：改进方案要考虑长期维护
    - **团队接受度**：改进方案要考虑团队接受程度
  </guideline>

  <process>
    ## 质量改进执行流程
    
    ### 改进识别与分析
    ```mermaid
    flowchart TD
        A[质量问题识别] --> B[影响评估]
        B --> C[改进方案设计]
        C --> D[可行性分析]
        D --> E[风险评估]
        E --> F[实施计划制定]
    ```
    
    ### 改进实施管理
    ```mermaid
    graph LR
        A[准备阶段] --> B[实施阶段]
        B --> C[验证阶段]
        C --> D[部署阶段]
        D --> E[监控阶段]
    ```
    
    ### 质量度量体系
    - **代码质量指标**：复杂度、重复率、测试覆盖率
    - **设计质量指标**：耦合度、内聚性、可扩展性
    - **文档质量指标**：完整性、准确性、可读性
    - **维护质量指标**：修复时间、变更影响范围
  </process>

  <criteria>
    ## 改进效果评价标准
    - ✅ **问题解决率** ≥ 90%
    - ✅ **质量指标提升** 各项指标提升20%以上
    - ✅ **无回归问题** 改进不引入新问题
    - ✅ **团队满意度** 开发团队认可改进效果
    - ✅ **长期效益** 改进带来持续的质量提升
  </criteria>
</execution>
