# 配置文件
import cv2

# 摄像头设置
CAMERA_INDEX = 0  # 默认摄像头索引
FRAME_WIDTH = 640
FRAME_HEIGHT = 480
FPS = 30

# YOLO模型设置
MODEL_PATH = 'yolov8n.pt'  # YOLOv8 nano模型
CONFIDENCE_THRESHOLD = 0.5
IOU_THRESHOLD = 0.45

# 距离计算参数
# 这些参数需要根据实际摄像头和场景进行标定
KNOWN_PERSON_HEIGHT = 170  # 假设平均人身高170cm
FOCAL_LENGTH = 500  # 焦距参数，需要校准
REFERENCE_DISTANCE = 200  # 参考距离（cm）
REFERENCE_HEIGHT_PIXELS = 300  # 在参考距离下人体框的像素高度

# 显示设置
FONT = cv2.FONT_HERSHEY_SIMPLEX
FONT_SCALE = 0.7
FONT_THICKNESS = 2
BOX_COLOR = (0, 255, 0)  # 绿色框
TEXT_COLOR = (255, 255, 255)  # 白色文字
TEXT_BG_COLOR = (0, 0, 0)  # 黑色背景

# 人体类别ID（COCO数据集中person的类别ID是0）
PERSON_CLASS_ID = 0

# 地图配置
GAODE_API_KEY = "3dcf7fa331c70e62d4683cf40fffc443"  # 需要替换为真实的高德API key
CAMERA_LATITUDE = 28.262339630314234  # 摄像头纬度
CAMERA_LONGITUDE = 113.04752581515713  # 摄像头经度
CAMERA_HEADING = 180  # 摄像头朝向角度
CAMERA_FOV = 60  # 摄像头视场角度
ENABLE_MAP_DISPLAY = True  # 是否启用地图显示
MAP_AUTO_REFRESH = True  # 地图是否自动刷新 