<execution>
  <constraint>
    ## 文档表达技术限制
    - **工具兼容性**：文档必须在团队使用的工具中正常显示和编辑
    - **版本控制要求**：设计文档必须支持版本控制和协作编辑
    - **格式标准化**：遵循团队或行业的文档格式标准
    - **多媒体支持**：需要图片、视频、交互原型等多媒体内容支持
  </constraint>

  <rule>
    ## 设计文档强制规则
    - **准确性要求**：文档内容必须与实际设计完全一致
    - **完整性要求**：必须覆盖设计的所有重要方面
    - **及时更新**：设计变更后24小时内更新相关文档
    - **可追溯性**：重要设计决策必须有文档记录和依据
    - **标准化格式**：使用统一的文档模板和命名规范
  </rule>

  <guideline>
    ## 文档表达指导原则
    - **受众导向**：根据不同受众调整文档内容和表达方式
    - **层次清晰**：信息组织层次分明，逻辑关系清楚
    - **可视化优先**：优先使用图表、图像等可视化方式表达
    - **简洁明了**：避免冗长描述，突出关键信息
    - **实用导向**：文档要能指导实际工作，不是纯理论描述
  </guideline>

  <process>
    ## 设计文档表达完整流程
    
    ### Phase 1: 文档规划与准备 (0.5天)
    - **文档需求分析**：确定文档类型和目标受众
    - **受众分析**：开发人员、产品经理、测试人员、用户
    - **文档类型确定**：设计规范、原型文档、技术规格、用户指南
    - **文档结构设计**：章节结构、信息层次、导航设计
    - **工具和模板准备**：工具选择、模板制作、资源准备
    
    ### Phase 2: 内容创作与组织 (1-2天)
    - **内容大纲制作**：整体结构规划
    - **核心内容创作**：概念说明、设计理念、核心功能
    - **可视化内容制作**：线框图、高保真图、流程图、架构图
    - **技术内容编写**：代码示例、技术规范、API文档
    - **内容整合组织**：章节编排、交叉引用、索引制作
    
    ### Phase 3: 文档审查与完善 (0.5天)
    - **内容审查**：内容准确性、逻辑完整性、表达清晰度
    - **技术审查**：技术可行性、代码正确性、规范符合性  
    - **可用性测试**：文档可读性、操作可行性、理解难度
    - **反馈整理**：收集各方反馈意见
    - **修改完善**：基于反馈进行优化调整
    
    ### Phase 4: 文档发布与维护 (持续)
    - **文档发布**：选择合适的发布平台和格式
    - **访问权限设置**：确定文档的访问范围和权限
    - **使用培训**：向团队介绍文档使用方法
    - **反馈收集**：持续收集使用反馈
    - **版本管理**：建立文档版本控制机制
  </process>

  <criteria>
    ## 设计文档质量评价标准

    ### 内容质量 (40%)
    - ✅ **准确性**：文档内容与实际设计完全一致
    - ✅ **完整性**：覆盖设计的所有重要方面
    - ✅ **逻辑性**：信息组织逻辑清晰，层次分明
    - ✅ **时效性**：内容反映最新的设计状态
    - ✅ **深度适宜**：内容深度符合目标受众需求

    ### 表达效果 (30%)
    - ✅ **可读性**：目标受众能够轻松理解
    - ✅ **可视化程度**：适当使用图表、图像等可视化元素
    - ✅ **结构清晰**：章节结构合理，导航便利
    - ✅ **语言质量**：用词准确，表达清晰
    - ✅ **格式规范**：遵循统一的格式标准

    ### 实用性 (20%)
    - ✅ **可操作性**：读者能按文档完成相关任务
    - ✅ **问题解决**：有效解决目标受众的实际问题
    - ✅ **参考价值**：具有长期参考和查阅价值
    - ✅ **学习效果**：有助于知识传递和技能提升
    - ✅ **协作支持**：促进团队协作和沟通

    ### 维护性 (10%)
    - ✅ **更新便利**：文档易于修改和更新
    - ✅ **版本管理**：有效的版本控制和变更追踪
    - ✅ **协作友好**：支持多人协作编辑
    - ✅ **扩展性**：支持内容扩展和结构调整
    - ✅ **备份安全**：有可靠的备份和恢复机制
  </criteria>
</execution>