QT += core gui widgets quickwidgets positioning
QT += multimedia multimediawidgets
QT += webenginewidgets webchannel
QT += sql charts

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++17

# Include paths - 更新为新的目录结构
INCLUDEPATH += include
INCLUDEPATH += include/core
INCLUDEPATH += include/ui
INCLUDEPATH += AudioModule

# Build directories
OBJECTS_DIR = build
MOC_DIR = build
UI_DIR = build
RCC_DIR = build

# Source files - 按模块组织
SOURCES += \
    src/main.cpp \
    src/core/database/UAVDatabase.cpp \
    src/core/database/DogDatabase.cpp \
    src/ui/main/MainWindow.cpp \
    src/ui/dialogs/DeviceDialog.cpp \
    src/ui/components/DeviceCard.cpp \
    src/ui/components/DeviceListPanel.cpp \
    src/ui/components/SystemLogPanel.cpp \
    src/ui/components/RightFunctionPanel.cpp \
    src/utils/SystemLogger.cpp \
    AudioModule/IntelligenceUI.cpp \
    styles/LeftPanelStyleManager.cpp \
    styles/ModernStyleManager.cpp

# Header files - 按模块组织
HEADERS += \
    include/core/database/UAVDatabase.h \
    include/core/database/DogDatabase.h \
    include/ui/main/MainWindow.h \
    include/ui/dialogs/DeviceDialog.h \
    include/ui/components/DeviceCard.h \
    include/ui/components/DeviceListPanel.h \
    include/ui/components/SystemLogPanel.h \
    include/ui/components/RightFunctionPanel.h \
    include/utils/SystemLogger.h \
    AudioModule/IntelligenceUI.h \
    styles/LeftPanelStyleManager.h \
    styles/ModernStyleManager.h

# UI forms - 按模块组织
FORMS += \
    forms/main/MainWindow.ui \
    forms/dialogs/DeviceDialog.ui \
    AudioModule/IntelligenceUI.ui

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

RESOURCES += \
    res.qrc

# Version and metadata
VERSION = 2.0.0
DEFINES += APP_VERSION=\\\"$$VERSION\\\"
TARGET = BattlefieldExplorationSystem

# 删除了所有injury相关的文件引用